TEMPLATE=app
TARGET=qtmapper

CONFIG+=qtopia
#CONFIG+=debug
CONFIG+=embedded
CONFIG+=ui

# I18n info
STRING_LANGUAGE=en_US
LANGUAGES=en_US

TRANSLATIONS = languages/QtMapper_fi.ts

# Package info
pkg [
    name=qtmapper
    desc="GPS application using QT Extended application framework"
    license=GPL v2 or later
    version=1.0.4
    maintainer="See https://garage.maemo.org/projects/qtmapper/"
]

QT = core \
    gui \
    network \
    sql \
    xml \
    webkit

QTOPIA*=whereabouts

#ui/QtMapper.ui \
FORMS = ui/QtMapperNeo.ui \
    ui/about.ui \
    ui/addcategory.ui \
    ui/browsepois.ui \
    ui/browsepois_neo.ui \
    ui/downloadedpois.ui \
    ui/downloadmaptiles.ui \
    ui/downloadpois.ui \
    ui/downloadroute.ui \
    ui/editcategory.ui \
    ui/editpoi.ui \
    ui/editpoi_neo.ui \
    ui/editrepository.ui \
    ui/errordialog.ui \
    ui/help.ui \
    ui/help_neo.ui \
    ui/importpois.ui \
    ui/opendialog.ui \
    ui/poicategories.ui \
    ui/poilist.ui \
    ui/poilist_neo.ui \
    ui/preferences.ui \
    ui/preferences_neo.ui \
    ui/satellitedetails.ui \
    ui/satellitedetails_neo.ui \
    ui/savedialog.ui \
    ui/searchlocation.ui

# Input files
RESOURCES=\
    QtMapper.qrc

HEADERS=\
    aboutdialog.h\
    addcategorydialog.h\
    addpoidialog.h\
    bar.h\
    browsepoisdialog.h\
    definitions.h\
    diagrams.h\
    displaybox.h\
    downloadedpoisdialog.h\
    downloadpoisdialog.h\
    downloadroutedialog.h\
    editcategorydialog.h\
    editpoidialog.h\
    editrepositorydialog.h\
    errordialog.h\
    googlemapsdownloader.h\
    gpsdata.h\
    gpsemulator.h\
    gpsfactory.h\
    gpsneo.h\
    gpssatellitedata.h\
    gpsserial.h\
    gpsserviceinterface.h\
    gpxhandler.h\
    helpdialog.h\
    importpoisdialog.h\
    linepoint.h\
    location.h\
    lonlatbox.h\
    mapdatabase.h\
    mapdownloader.h\
    maprepository.h\
    mapscene.h\
    maptile.h\
    maptilecache.h\
    maptiledownloaddialog.h\
    mapview.h\
    networkactivityindicator.h\
    opendialog.h \
    plot.h\
    poi.h\
    poicategoriesdialog.h\
    poicategory.h\
    poidata.h\
    poidatabase.h\
    poidownloader.h\
    poiinfo.h\
    poilistdialog.h\
    point.h\
    preferencesdialog.h\
    QtMapper.h\
    quickmenubar.h\
    quickmenubutton.h\
    routedata.h\
    routedisplay.h\
    routedownloader.h\
    satellitedetailsdialog.h\
    satelliteDrawing.h\
    savedialog.h \
    screenrotation.h\
    searchlocationdata.h\
    searchlocationdialog.h\
    searchlocationdownloader.h\
    searchview.h\
    serialport.h\
    speeddisplay.h\
    trackingdatareader.h\
    trackingdatawriter.h\
    trackpoint.h\
    unitconverter.h\
    waypoint.h

SOURCES=\
    aboutdialog.cpp\
    addcategorydialog.cpp\
    addpoidialog.cpp\
    bar.cpp\
    browsepoisdialog.cpp\
    diagrams.cpp\
    displaybox.cpp\
    downloadedpoisdialog.cpp\
    downloadpoisdialog.cpp\
    downloadroutedialog.cpp\
    editcategorydialog.cpp\
    editpoidialog.cpp\
    editrepositorydialog.cpp\
    errordialog.cpp\
    googlemapsdownloader.cpp\
    gpsdata.cpp\
    gpsemulator.cpp\
    gpsfactory.cpp\
    gpsneo.cpp \
    gpssatellitedata.cpp\
    gpsserial.cpp\
    gpxhandler.cpp\
    helpdialog.cpp\
    importpoisdialog.cpp\
    location.cpp\
    lonlatbox.cpp\
    main.cpp\
    mapdatabase.cpp\
    mapdownloader.cpp\
    maprepository.cpp\
    mapscene.cpp\
    maptile.cpp\
    maptilecache.cpp\
    maptiledownloaddialog.cpp\
    mapview.cpp\
    networkactivityindicator.cpp\
    opendialog.cpp \
    plot.cpp\
    poi.cpp\
    poicategoriesdialog.cpp\
    poicategory.cpp\
    poidata.cpp\
    poidatabase.cpp\
    poidownloader.cpp\
    poiinfo.cpp\
    poilistdialog.cpp\
    point.cpp\
    preferencesdialog.cpp\
    QtMapper.cpp\
    quickmenubar.cpp\
    quickmenubutton.cpp\
    routedata.cpp\
    routedisplay.cpp\
    routedownloader.cpp\
    satellitedetailsdialog.cpp\
    satelliteDrawing.cpp\
    savedialog.cpp \
    screenrotation.cpp\
    searchlocationdata.cpp\
    searchlocationdialog.cpp\
    searchlocationdownloader.cpp\
    searchview.cpp\
    serialport.cpp\
    speeddisplay.cpp\
    trackingdatareader.cpp\
    trackingdatawriter.cpp\
    trackpoint.cpp\
    unitconverter.cpp\
    waypoint.cpp

DEFINES += NEO
#DEFINES += GPS_SERIAL_IN_USE
#DEFINES += GPSD_IN_USE
DEFINES += GPS_TEST

# Install rules

target [
    hint=sxe
    domain=untrusted
]

desktop [
    hint=desktop
    files=qtmapperneo.desktop
    path=/apps/Applications
]

pics [
    hint=pics
    files=pics/*
    path=/pics/qtmapper
]

