%define name    qtmapper
%define release 1.0.4
 
%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)
%define qmake qmake
%define lrelease lrelease
 
%if %is_fedora
%define distr %(cat /etc/fedora-release)
%define qmake qmake-qt4
%define lrelease lrelease-qt4
%endif
%if %is_suse
%define distr %(head -1 /etc/SuSE-release)
%endif
%if %is_mandrake
%define distr %(cat /etc/mandrake-release)
%endif

Name:		%{name}
Version:	%{release}
Release:	1%{?dist}
Summary:	Qt Mapper desktop version

Group:		Amusements/Graphics
License:	GPLv2+
URL:		https://garage.maemo.org/projects/qtmapper/
Source0:	qtmapper-%{version}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gpsd-devel >= 2
BuildRequires:  qt-devel >= 4.4
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:	gpsd >= 2
Requires:       qt >= 4.4

%description
Qt Mapper is a GPS navigation application. As the name suggests, Qt Mapper was 
developed using the Qt application framework. Started as an effort to port the 
Maemo Mapper application to Qt, it has since evolved quite a bit, although some 
of Maemo Mapper's original features remain. Design goals among others were 
simplicity of use and easy portability to other Qt-supported platforms.

    * Freely available map images from the OpenStreetMap service are used
    * Supports the internal GPS device of the Nokia N810 
      (when build for maemo target)
    * Supports external GPS devices supported by the N800, N810 and desktop 
      targets.
    * Points of interest (POI)
          o Add POIs on desired locations on the map
          o Alert when there are nearby POIs
    * Tracking
    * Pre-download map images of a selected area (useful for situations when 
      there is no network access)

The application also contains the following features, which make use of the 
Google Maps service:

    * Driving directions
    * Point of interest search
    * Address/location search

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
sh configure --desktop
%{qmake} qtmapper.pro PREFIX=$RPM_BUILD_ROOT/usr/ DESTDIR=$RPM_BUILD_ROOT/usr/bin
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
make -p install
mv  $RPM_BUILD_ROOT/usr/share/applications/qtmappergeneric.desktop  $RPM_BUILD_ROOT/usr/share/applications/qtmapper.desktop
mv  $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/worldicon22x22.png  $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/worldicon.png
desktop-file-install                                    \
--add-category="Graphics"                               \
--delete-original                                       \
--dir=$RPM_BUILD_ROOT/usr/share/applications              \
$RPM_BUILD_ROOT/usr/share/applications/qtmapper.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/bin/qtmapper
/usr/share/applications/qtmapper.desktop
/usr/share/icons/hicolor/22x22/apps/worldicon.png

%changelog
* Sun Feb 27 2009 Matti Laitala <matti.laitala @ gmail.com> - 1.0.4-1
- Changed rpm packaging to follow FHS
- Fixed gps details dialog resource usage problem, defect 3489
- Fixed gps api for maemo, task 888 and defects 3506, 3551

* Fri Feb 20 2009 Matti Laitala <matti.laitala @ gmail.com> - 1.0.3-1
- Initial support for Fedora linux


