/*
    Qt Mapper - A GPS map application
    Copyright (C) 2008  Ixonos Plc. Authors:

        Antero Lehtonen - antero.lehtonen@ixonos.com
        Atte Tihinen - atte.tihinen@ixonos.com
        Jaakko Putaala - jaakko.putaala@ixonos.com
        Teppo Pennanen - teppo.pennanen@ixonos.com

    Qt Mapper is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    Qt Mapper is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Qt Mapper; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    USA.
*/

#include <QDebug>
#include <QLineEdit>
#include <QPushButton>
#include "editrepositorydialog.h"

//! Constructor.
EditRepositoryDialog::EditRepositoryDialog(QWidget *parent)
        : QDialog(parent)
{
    setupUi(this);

    connect(lineEditName, SIGNAL(textChanged(const QString &)),
            this, SLOT(enableOkButton()));
    connect(lineEditUrl, SIGNAL(textChanged(const QString &)),
            this, SLOT(enableOkButton()));
    connect(lineEditImageNameFormat, SIGNAL(textChanged(const QString &)),
            this, SLOT(enableOkButton()));
}

//! Destructor.
EditRepositoryDialog::~EditRepositoryDialog()
{
}

//! Enables the dialog's OK button.
void EditRepositoryDialog::enableOkButton()
{
    // If any of the text fields are empty, disable the button.
    if (lineEditName->text().isEmpty() ||
            lineEditUrl->text().isEmpty() ||
            lineEditImageNameFormat->text().isEmpty()) {
        buttonBox->button(QDialogButtonBox::Ok)->setEnabled(false);
    } else {
        buttonBox->button(QDialogButtonBox::Ok)->setEnabled(true);
    }
}

//! Disables the dialog's OK button.
void EditRepositoryDialog::disableOkButton()
{
    buttonBox->button(QDialogButtonBox::Ok)->setEnabled(false);
}
