/*
    Qt Mapper - A GPS map application
    Copyright (C) 2008  Ixonos Plc. Authors:

        Antero Lehtonen - antero.lehtonen@ixonos.com
        Atte Tihinen - atte.tihinen@ixonos.com
        Jaakko Putaala - jaakko.putaala@ixonos.com
        Teppo Pennanen - teppo.pennanen@ixonos.com
	Pasi Alatalo - pasi.alatalo@ixonos.com 
	Jarkko Markkanen - jarkko.markkanen@ixonos.com
	Janne Sakko - janne.sakko@ixonos.com

    Qt Mapper is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    Qt Mapper is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Qt Mapper; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    USA.
*/

//For NEO-DEVICE

#include <QDialog>
#include "ui_errordialog.h"
#include <QString>
#include <QWidget>
#include <QFlags>

//! Class for displaying error messages in Neo device.

class ErrorDialog : public QDialog, public Ui::errorDialog
{
public:
    //! Constructor
    /*!
     * \param parent The parent widget of the dialog.
     * \param title The title of the error dialog.
     * \param msg The error message to be shown in the dialog.
     */
    ErrorDialog(QWidget *parent, QString title, QString msg); 

    static int createErrorDialog(QWidget *parent, QString title, QString msg, QDialogButtonBox::StandardButtons buttons);
 
};

