#include <QWhereaboutsFactory>
#include <QWhereaboutsUpdate>
  
#include "gpsneo.h"
#include "point.h"
#include "gpsdata.h"

GpsNeo::GpsNeo()
{
    gpsData = new GpsData();
    gpsPoint = new Point();
    	
	whereabouts = QWhereaboutsFactory::create();
	connect(whereabouts, SIGNAL(updated(QWhereaboutsUpdate)),
			this, SLOT(updated(QWhereaboutsUpdate)));
	
}

GpsNeo::~GpsNeo()
{
}

void GpsNeo::stopGps()
{
	whereabouts->stopUpdates();
	
}
void GpsNeo::startGps()
{
	whereabouts->requestUpdate();
	whereabouts->startUpdates(0);
}
void GpsNeo::restartGps()
{
	stopGps();
	startGps();
}

void GpsNeo::updated(const QWhereaboutsUpdate &update)
{
	gpsData->setLatitude(qreal(update.coordinate().latitude()));
	gpsData->setLongitude(qreal(update.coordinate().longitude()));
	gpsData->setSpeed(update.verticalSpeed());
	gpsData->setHeading(update.course());
	gpsData->setVerticalDilutionOfPrecision(update.verticalAccuracy());
	gpsData->setHorizontalDilutionOfPrecision(update.horizontalAccuracy());
}

//! Returns the used gpsData object
GpsData &GpsNeo::getGpsData()
{
    return *gpsData;
}

//! Returns the used gpsPoint object
Point &GpsNeo::getGpsPoint()
{
    return *gpsPoint ;
} 
