/*
    Qt Mapper - A GPS map application
    Copyright (C) 2008  Ixonos Plc. Authors:

        Antero Lehtonen - antero.lehtonen@ixonos.com
        Atte Tihinen - atte.tihinen@ixonos.com
        Jaakko Putaala - jaakko.putaala@ixonos.com
        Teppo Pennanen - teppo.pennanen@ixonos.com
        Pasi Alatalo - pasi.alatalo@ixonos.com 
        Jarkko Markkanen - jarkko.markkanen@ixonos.com
        Janne Sakko - janne.sakko@ixonos.com

    Qt Mapper is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    Qt Mapper is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Qt Mapper; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    USA.
*/

//For NEO-DEVICE

#ifndef OPENDIALOG_H
#define OPENDIALOG_H

#include <QDialog>
#include <QContent>
#include <QString>

#include "ui_opendialog.h"

//! Class for handling UI when opening a document.

class OpenDialog : public QDialog, public Ui::openDialog 
{
    Q_OBJECT
public:
    //! Constructor
    /*!
     * \param parent The parent widget of the dialog.
     */
    OpenDialog(QWidget *parent = 0);

    /*!
    * Returns the content of the document.
    * \return Content of the document.
    */
    QString getData();

    /*!
    * Returns the name of the document.
    * \return Name of the document.
    */
    QString getName();

private slots:
    /*!
     * Opens the selected document.
     * \param document The selected document.
     */
    void openDocument(QContent document);

private:
    //! Content of document.
    QString data;

    //! Name of document.
    QString name;

};

#endif
